PollReqContent (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class PollReqContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.PollReqContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PollReqContent
      extends ASN1Object

  PollReqContent ::= SEQUENCE OF SEQUENCE { certReqId INTEGER }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollReqContent(ASN1Integer certReqId)` Create a pollReqContent for a single certReqId.
    `PollReqContent(ASN1Integer[] certReqIds)` Create a pollReqContent for a multiple certReqIds.
    `PollReqContent(java.math.BigInteger certReqId)` Create a pollReqContent for a single certReqId.
    `PollReqContent(java.math.BigInteger[] certReqIds)` Create a pollReqContent for a multiple certReqIds.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Integer[][]` | `getCertReqIds()`
    `java.math.BigInteger[]` | `getCertReqIdValues()`
    `static PollReqContent` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` PollReqContent ::= SEQUENCE OF SEQUENCE { certReqId INTEGER }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PollReqContent

          public PollReqContent(ASN1Integer certReqId)

      Create a pollReqContent for a single certReqId.
      Parameters:
        `certReqId` - the certificate request ID.

    - #### PollReqContent

          public PollReqContent(ASN1Integer[] certReqIds)

      Create a pollReqContent for a multiple certReqIds.
      Parameters:
        `certReqIds` - the certificate request IDs.

    - #### PollReqContent

          public PollReqContent(java.math.BigInteger certReqId)

      Create a pollReqContent for a single certReqId.
      Parameters:
        `certReqId` - the certificate request ID.

    - #### PollReqContent

          public PollReqContent(java.math.BigInteger[] certReqIds)

      Create a pollReqContent for a multiple certReqIds.
      Parameters:
        `certReqIds` - the certificate request IDs.

  - ### Method Detail

    - #### getInstance

          public static PollReqContent getInstance(java.lang.Object o)

    - #### getCertReqIds

          public ASN1Integer[][] getCertReqIds()

    - #### getCertReqIdValues

          public java.math.BigInteger[] getCertReqIdValues()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           PollReqContent ::= SEQUENCE OF SEQUENCE {
                                  certReqId              INTEGER
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.